<CsoundSynthesizer>

<CsOptions>
-odac
</CsOptions>

<CsInstruments>

;	Version of "Kick Dirt" by Ozric Tentacles (from "Pungent Effulgent")
;	by Martin Guy, Catania, agosto 2000
;
;	based on orc/sco of:
;
;	Nuclear Energy - Our "Misunderstood" Friend     (May 6, 1998)
;	Composed By  Jacob Joaquin ;	e-mail jake.ke@ix.netcom.com



sr	=	44100
kr	=	882
ksmps	=	50
nchnls	=	2

gidrum	=	.4
ga100	init	0
ga101	init	0
ga102	init	0
ga103	init	0


instr 1		; "Electric guitar" lead with precision phasing
idur	=	p3
ipch	=	p4
iamp	=	p5
ifn	=	p6
ipat	=	p7
iacc	=	p8
ienv	=	p9
ifilter	=	p10
ipan	=	p11
iwet	=	p12

it	=	16 / idur

	kosc	oscil1	0, 1, idur, ipat
	kosc	=	cpspch((ipch-2) + .24 + (kosc * .01))

	kosc2	oscil1	0, 1, idur, iacc
	kosc2	=	iamp * (kosc2)

	kosc3	oscil	1, it, ienv

	itempo=130 
	iphasebeats=16
	; Set frequency difference so that one complete phasing cycle
	; takes a specified number of beats
	ifreqdiff = 1 / ( (60 / itempo) * iphasebeats )
	aosc	oscil	kosc2, kosc, ifn, -1
	aosc2	oscil	kosc2, kosc + (ifreqdiff/2), ifn, -1
	aosc3	oscil	kosc2, kosc - (ifreqdiff/2), ifn, -1

	asig	=	(aosc+aosc2+aosc3)*.333*kosc3

	kosc5	oscil	.9, it, ifilter
	kosc5	=	kosc5 + .1

	asig	butterlp	asig * kosc5,	5000

	knin	oscil1	0, 1, idur, ipan
	aleft	=	asig * (sqrt(1 - knin))
	aright	=	asig * (sqrt(knin))
	outs	aleft, aright
	ga100	=	(ga100 + asig) * iwet
endin


instr 2
idur	=	p3
ipch	=	cpspch(p4)
iamp	=	p5
ipan	=	p6

	kenv	linseg	1, .01, iamp, idur - .01 , 1
	aosc	oscil	kenv, 440, 4

	kenv	expon	2, idur, .01
	aosc2	butterbp	aosc, ipch, ipch * kenv
	aosc2	butterbp	aosc2, ipch, ipch * kenv

	aosc	balance	aosc2, aosc
	aosc	=	aosc * .5

	aleft	=	aosc * (sqrt(1-ipan))
	aright	=	aosc * (sqrt(ipan))
	outs	aleft, aright
	ga101	=	ga101 + aosc
endin


instr 3
idur	=	p3
ipch	=	cpspch(p4)
iamp	=	p5
ipan	=	p6

	kenv	linseg	0, .01, iamp, idur - .02, iamp * .5, .01, 0

	kenv2	expon	19, idur, 1
	kenv2	=	kenv2 - 1

	afm	foscil	kenv, ipch, 1, .5, kenv2, 1

	aleft	=	afm * (sqrt(1-ipan))
	aright	=	afm * (sqrt(ipan))
	outs	aleft, aright
	ga102	=	ga102 + afm
endin


instr 4
idur	=	p3
ipch	=	cpspch(p4)
ipch2	=	cpspch(p5)
iamp	=	p6
iamp2	=	p7
ires	=	p8

ifn	=	4

	kenv2	expon	ipch, idur, ipch2
	kenv3	line	iamp, idur, iamp2

	aosc	oscil	kenv3, 440, ifn
	abp	butterbp	aosc, kenv2, kenv2 * ires
	abp	butterbp	abp, kenv2, kenv2 * ires

	aosc	balance	abp, aosc

	kenv	linseg	0, idur * .125, 1, idur * .875, 0
	aosc	=	aosc * kenv

	outs	aosc, aosc
endin


instr 5
idur	=	p3
ipch	=	cpspch(p4)
ipch2	=	cpspch(p5)
iamp	=	p6 + 1
iamp2	=	p7 + 1
iport	=	p8
	
	kenv	expseg	ipch2, iport, ipch, idur - iport, ipch
	kenv2	expseg	iamp, idur * .25, iamp2, idur * .75, iamp2
	kenv2	=	kenv2 - 1

	kosc	oscil	.5, 6, 1, -1
	kosc	=	kosc + .5

	afm	foscili	kenv2, kenv, 1, .5, 2 + kosc, 1, -1
	afm2	foscili	kenv2, kenv * .004, 1, .5, 2 + kosc, 1, -1
	afm3	foscili	kenv2, kenv * .996, 1, .5, 2 + kosc, 1, -1

	amix	=	(afm + afm2 + afm3) * .333
	ga103	=	ga103 + amix
endin


instr 6
isnd	=	p4
ilvl	=	p5

	asig	soundin	isnd
	asig	=	asig * ilvl * gidrum
	outs	asig, asig
endin


instr	100
idur	=	p3
iwet	=	p4
idecay1	=	p5
idecay2	=	p6

	asig	=	ga100 * iwet

	aleft	reverb2	asig, idecay1, .5
	aright	reverb	asig, idecay2

	outs	aleft, aright
	ga100	=	0
endin


instr	101
idur	=	p3
iwet	=	p4
idecay1	=	p5
idecay2	=	p6
idelay	=	p7

	asig	=	ga101 * iwet

	aleft	reverb2	asig, idecay1, .5
	aright	reverb	asig, idecay2

	aright	delay	aright, idelay

	outs	aleft, aright
	ga101	=	0
endin


instr	102
idur	=	p3
iwet	=	p4
idecay	=	p5
idecay2	=	p6
idelay	=	p7
idelay2	=	p8

	asig	=	ga102 * iwet

	aleft	reverb	asig, idecay
	aright	reverb2	asig, idecay2, .5

	aleft	delay	aleft, idelay
	aright	delay	aright, idelay2

	outs	aleft, aright
	ga102	=	0
endin


instr 103
	asig	=	ga103
	asig2	delay	asig, .05

	outs	asig, asig2
	ga103	=	0
endin


</CsInstruments>

<CsScore>

;	Version of "Kick Dirt" by Ozric Tentacles (from "Pungent Effulgent")
;	by Martin Guy, Catania, agosto 2000
;
;	based on orc/sco of:
;
;	Nuclear Energy - Our "Misunderstood" Friend     (May 6, 1998)
;	Composed By  Jacob Joaquin ;	e-mail jake.ke@ix.netcom.com

f1	0	8192	10	1
f2	0	8192	7	-1	8192	1
f3	0	8192	7	1	4096	1	0	-1	4096	-1
f4	0	8192	21	1

;Pan
f20	0	16	-2	.5  .5  .5  .5  .5  .5  .5  .5  .5  .5  .5  .5  .5  .5  .5  .5

;Envelopes
f50	0	256	7	1	256	1
f51	0	256	7	1	256	0

;Accent Tables
f80	0	16	-2	1   1   1   1   1   1   1   1   1   1   1   1   1   1   1   1

;Pattern Tables
;				 *		 *		 *		 *
f100	0	16	-2	16 13 12  0 13 10  0 13 12  0 13 10  0 13 12  0
f101	0	16	-2	13 12  0 13 12  0 13 12  0 13 12  0 13 12  0 16
f102	0	16	-2	13 10  0 13 12  0 13 10  0 13 12  0 13 10  0 13
f103	0	16	-2	13 12  0 13 12  0 13 12  0 13 12  0 13  0 16  0
f104	0	16	-2	13 12  0 13 12  0 13 12  0 13 12  0 12  0 11 -5
f105	0	16	-2	13 12  0 13 12  0 13 12  0 13 12  0 13  0 21  0
f106	0	16	-2	13 12  0 13 12  0 13 12  0 13 12  0 13 12  0 13
f107	0	16	-2	12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12


t	0	130

i100	0	128	.05	1.5	1.7
;i101	0	205	.2	2.1	2	.25
;i102	0	205	.3	2	2.2	.15	.175
;i103	0	205

;		Dur	Root	Amp	Shape	Pat	Acc	Env	Filtr	Pan	Wet
;1	2	3	4	5	6	7	8	9	10	11	12
i1	0	4	6.00	15000	2	100	80	50	50	20	.5
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	103	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	101	.	.	.	.	.
;32
i1	+	.	.	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	103	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	104	.	.	.	.	.
;64
i1	+	.	5.07	.	.	100	.	.	. 	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	103	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	105	.	.	.	.	.
;96
i1	+	.	6.00	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	103	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	106	.	.	.	.	.
;128
i1	+	.	6.00	.	.	107	.	51	.	20	.
i1	+	.	.	.	.	107	.	.	.	.	.
i1	+	.	.	.	.	107	.	.	.	.	.
i1	+	.	.	.	.	107	.	.	.	.	.
i1	+	.	5.00	.	.	107	.	.	.	.	.
i1	+	.	.	.	.	107	.	.	.	.	.
i1	+	.	.	.	.	107	.	.	.	.	.
i1	+	.	.	.	.	107	.	.	.	.	.

; Noise filter-swept
i4	128	32	12.00	6.00	2000	8000	.1

; Reverb for i5
i103	128	32

; Woo-ooo w/ portamento
i5	128	1.5	9.00	9.12	10000	10000	.05
i5	+	1.5	9.01	pp4	pp7	.	.
i5	+	1.5	9.04	.	.	.	.
i5	+	1.5	9.05	.	.	.	.
i5	+	1	9.07	.	.	.	.
i5	+	1	9.08	.	.	.	.
i5	+	1.5	9.11	.	.	.	.
i5	+	1.5	9.08	.	.	.	.
i5	+	1.5	9.07	.	.	.	.
i5	+	1.5	9.05	.	.	.	.
i5	+	1	9.04	.	.	.	.
i5	+	1	9.01	.	.	.	.
i5	+	1.5	9.00	.	.	.	.
i5	+	1.5	9.01	.	.	.	.
i5	+	1.5	9.04	.	.	.	.
i5	+	1.5	9.05	.	.	.	.
i5	+	1	9.07	.	.	.	.
i5	+	1	9.08	.	.	.	.
i5	+	1.5	9.11	.	.	.	.
i5	+	1.5	9.08	.	.	.	.
i5	+	1.5	9.07	.	.	.	.
i5	+	1.5	9.05	.	.	.	.
i5	+	1	9.04	.	.	.	.
i5	+	1	9.01	.	.	.	.

;160
; reverb for i3
i102	160	64	.3	2	2.2	.15	.175
; Aaawwwwwww
i3	160	16	5.00	4000	.4
i3	+	16	5.00	4000	.4
i3	+	16	5.00	4000	.4
i3	+	16	5.00	4000	.4

i1	160	4	6.00	15000	2	100	80	50	50	20	.5
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	103	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	101	.	.	.	.	.
;192
i1	+	.	.	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	103	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	102	.	.	.	.	.
i1	+	.	.   	.	.	100	.	.	.	.	.
i1	+	.	.	.	.	106	.	.	.	.	.

i6	160	1	1	1	;Kick
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	161	2	2	1.2	;Snare
i6	+	.	.	.
i6	+	.	.	.
i6	+	.75	.	.
i6	+	1.25	.	.
i6	+	2	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.75	.	.
i6	+	1.25	.	.
i6	+	2	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.75	.	.
i6	+	1.25	.	.
i6	+	2	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.75	.	.
i6	+	1.25	.	.
i6	+	2	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	160.5	1	3	1.3	;Open Hi-hat
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
i6	+	.	.	.
;i6	160.5	2	4	.8	;Closed Hi-Hat

;224
i1	224	.	.	10000	.	107	.	.	.	.	.
;i1	+	.	.	.	.	107	.	.	.	.	.

i6	224	1	1	1	;Kick
i6	224	1	3	1.3	;Open Hi-hat

; reverb for i3
i102	224	8	.3	2	2.2	.15	.175
; Aaawwwwwww
i3	224	8	6.00	5000	.4

; Noise filter-swept
i4	224	8	12.00	6.00	2000	8000	.1

; Reverb for i5
i103	224	14

i5	224	4	10.00	9.00	10000	10000	.01
i5	+	.	9.00	pp4	pp7	10000	.
i5	+	6	8.00	.	.	0	.

; pad out to full bar so that a repeat cuts in on time
f0	240

e


</CsScore>

</CsoundSynthesizer>

